clear all
close all
clf, clc

n = 10; % order 
dt = 1;   % sample time
m = 3;
i_max = 50;

disp(['Order = ', num2str(n)]);
disp(['Timestep = ', num2str(dt)]);
disp(['Runs = ', num2str(i_max)]);

for i = 1:i_max
    disp(['i = ', num2str(i)]);
    hp = final_create_random_hp(n, dt)
    [Y,T]=step(hp);

    [rel_IAE(i, :), IAE(i, :), time(i, :), peak(i, :)] = mega_pidtune_controller_executions(hp);
    pause(0.5); 
end

rel_IAE
num2str(time)

ctrl = ['Mega'; 'PID '; 'PI  '];
for i = 1:3
    controller_result_display(rel_IAE, IAE, time, peak, i, ctrl(i, :));
end
%results = [ZN_result, PID_result, PI_result, Plain_result, Mega_result]