% demo tests for pi(d) tuning methods:
% delta_prc_pi_tun/delta_prc_pid_tun1/MEGATUNER1/MEGATUNER1PLAIN
% on random generated stable state space models.
% Integrator processes will be handled by delta_prc_pi_tun
% 
% c.d.
%warning('off')
clear all
close all
clf, clc

%randn('seed',1);
%rand('seed',1);

n = 3; % order 
dt = 1;   % sample time
m = 5;
i_max = 50;

disp(['Order = ', num2str(n)]);
disp(['Timestep = ', num2str(dt)]);
disp(['Runs = ', num2str(i_max)]);

for i = 1:i_max
    disp(['i = ', num2str(i)]);
    hp = final_create_random_physical_hp(n, dt)
    [Y,T]=step(hp);
    hp = zpk(hp);
%     if n>5
%         hp = zpk(hp);
%     end
    [rel_IAE(i, :), IAE(i, :), time(i, :), peak(i, :)] = controller_executions(hp, dt, Y, T);
    pause(0.5); 
end

rel_IAE
num2str(time)

ctrl = ['ZN   '; 'PID  '; 'PI   '; 'Plain'; 'Mega '];
for i = 1:5
    controller_result_display(rel_IAE, IAE, time, peak, i, ctrl(i, :));
end
%results = [ZN_result, PID_result, PI_result, Plain_result, Mega_result]